//app.scss

// # Table of Contents

// - GLOBAL STYLES
// - MDC STYLES
// - PAGE STYLES
//   - HOME
//   - CONTACT
// - TINY PHONE STYLES
// - WIDE LAYOUT STYLES (DESKTOP)
@import './reset.scss';
@import './theme.scss';
@import './typography.scss';
@import '@material/react-top-app-bar/index.scss';
@import '@material/react-drawer/index.scss';
@import '@material/react-material-icon/index.scss';
@import '@material/react-card/index.scss';
@import '@material/react-button/index.scss';
@import '@material/react-fab/index.scss';
@import '@material/react-text-field/index.scss';
@import '@material/react-snackbar/index.scss';

/* GLOBAL STYLES */

* {
  box-sizing: border-box;
}
*:before,
*:after {
  box-sizing: border-box;
}

html,
body {
  margin: 0;
  padding: 0;
  height: 100%;
  position: relative;
  background-color: var(--mdc-theme-background);
  color: var(--mdc-theme-on-background);
  line-height: 1.5rem;
}

p {
  margin: 1rem auto;
}

a {
  text-decoration: none;
  color: inherit;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

.underlined__link {
  text-decoration: underline;
  color: inherit;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

::-moz-selection {
  /* Code for Firefox */
  color: var(--mdc-theme-on-primary);
  background: var(--mdc-theme-primary);
}

::selection {
  color: var(--mdc-theme-on-primary);
  background: var(--mdc-theme-primary);
}

code {
  display: block;
  background-color: var(--mdc-theme-primary);
  color: var(--mdc-theme-on-primary);
  border-radius: 4px;
  font-size: 85%;
  line-height: 1.45;
  overflow: auto;
  padding: 16px;
}

pre::selection,
code::selection,
code span::selection {
  color: var(--mdc-theme-background);
  background: var(--mdc-theme-background);
}

/* MDC STYLES */

.mdc-card {
  @include mdc-card-shape-radius(8px);
  @include mdc-elevation(1);
  width: 100%;
  height: 100%;
}

/* WIDE LAYOUT STYLES */
@media screen and (min-width: 1024px) {
  .mdc-card--clickable {
    transition: all ease 0.1s;
    transition-property: all;
    transition-duration: 0.1s;
    transition-timing-function: ease;
    transition-delay: 0s;
    &:hover {
      @include mdc-elevation(6);
      cursor: pointer;
    }
  }
}

.mdc-button--round {
  border-radius: 25px;
}

.mdc-floating-label {
  @include mdc-text-field-caret-color(rgba(0, 0, 0, 0.64));
  @include mdc-text-field-label-color(rgba(0, 0, 0, 0.64));
}

.mdc-snackbar__action {
  @include mdc-button-ink-color(#ffffff);
}

/* PAGE STYLES */

.anoun-footer-adjust__container{
  min-height: 90vh;
  margin-bottom: calc(100vh/6);
}

.fade-in {
  animation: fadeIn ease 4s;
  -webkit-animation: fadeIn ease 4s;
  -moz-animation: fadeIn ease 4s;
  -o-animation: fadeIn ease 4s;
  -ms-animation: fadeIn ease 4s;
 }
 
 
 @keyframes fadeIn{
  0% {
   opacity:0;
  }
  100% {
   opacity:1;
  }
 }
 
 @-moz-keyframes fadeIn {
  0% {
   opacity:0;
  }
  100% {
   opacity:1;
  }
 }
 
 @-webkit-keyframes fadeIn {
  0% {
   opacity:0;
  }
  100% {
   opacity:1;
  }
 }
 
 @-o-keyframes fadeIn {
  0% {
   opacity:0;
  }
  100% {
   opacity:1;
  }
 }
 
 @-ms-keyframes fadeIn {
  0% {
   opacity:0;
  }
  100% {
   opacity:1;
  }
 }

@import './header.scss';
@import './home.scss';
@import './blog.scss';
@import './contact.scss';
